Skip to content

Get an origin server

GET
/api/organizations/{organizationId}/origin-servers/{id}

Returns a single origin server belonging to the organization by its ID.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

organizationId*

Organization identifier

Type
string
Required
id*

origin-server identifier

Type
string
Required

Responses

origin-server resource

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"id": "0f8fad5b-d9cb-469f-a165-70867728950e",
  
"name": "primary-eu-west",
  
"protocol": "https",
  
"address": "origin.example.com",
  
"port": 443,
  
"requestHostname": "internal-app.example.com",
  
"createdAt": "2026-01-15T09:30:00+00:00",
  
"updatedAt": "2026-01-15T09:30:00+00:00"
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI